跳转到内容

F5 TTS

集成

模型 id f5-tts
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/f5-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "gen_text": "Hello from Doitong. This is a short test sentence.",
    "ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "model_type": "F5-TTS"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.003 3 API 积分 在此页面运行

获取 API 密钥
Open model 文本转语音 参考输入 #speech

使用 F5-TTS 或 E2-TTS,根据参考音频进行声音克隆和语音合成

Open model · 音频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

用于语音合成的文本,限制为 5000 个字符。

•必填
拖放文件,或

参考音频文件 URL。

model_type •必填

TTS 合成的模型名称。

高级 ref_text · remove_silence
默认

TTS 参考文本;省略后会通过语音识别模型(ASR,Automatic Speech Recognition)自动生成。

POST /run/f5-tts?wait=20 报价 → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/f5-tts?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "gen_text": "Hello from Doitong. This is a short test sentence.",
    "ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "model_type": "F5-TTS"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 F5 TTS

使用 `ref_audio_url` 指定的参考音频,以其声音朗读 `gen_text`(最多 5000 个字符)。`model_type` 选择 F5-TTS 或 E2-TTS。如果 `ref_text` 为空,则通过语音识别生成。`remove_silence` 默认启用。

参数

名称类型 默认值允许值 描述
gen_text必填
类型string
用于语音合成的文本,限制为 5000 个字符。
ref_audio_url必填
类型url · audio
参考音频文件 URL。
ref_text可选
类型string
默认值
TTS 参考文本;省略后会通过语音识别模型(ASR,Automatic Speech Recognition)自动生成。
model_type必填
类型enum
F5-TTSE2-TTS
TTS 合成的模型名称。
remove_silence可选
类型boolean
默认值true
控制是否从音频文件中移除静音。
必填

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "f5-tts",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "gen_text": "Hello from Doitong. This is a short test sentence.",
    "ref_audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
    "model_type": "F5-TTS"
  },
  "output": {
    "audio_url": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio_url
object {url, content_type, file_name, file_size}包含合成语音的音频文件。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/f5-tts.md. 所有模型和指南: https://doitong.com/developers/llms.txt